/* $Id */
/*
 * Copyright(c) 1998 by Hitachi.Ltd All rights reserved.
 *
 */

typedef struct CONFIG {
    char *flg;
    char *fname;
    FILE *fp;
} CONFIG;

#define CONF_STR_MAX      64
#define CONF_PARATBL_MAX  16

typedef struct CONF_PARAGET {
    char command[CONF_STR_MAX + 1];
    int  paramcount;
    char paramtbl[CONF_PARATBL_MAX][CONF_STR_MAX + 1];
} CONF_PARAGET;

#define CNF_NORMAL     0
#define CNF_EOF        1
#define CNF_CHILDFILE  2

CONFIG *init_config();
int get_config_command();
int end_config();
